Module java.compiler
Package javax.lang.model.util

# Class SimpleElementVisitor14<R,P>

java.lang.Object
javax.lang.model.util.AbstractElementVisitor6<R,P>
javax.lang.model.util.SimpleElementVisitor6<R,P>
javax.lang.model.util.SimpleElementVisitor7<R,P>
javax.lang.model.util.SimpleElementVisitor8<R,P>
javax.lang.model.util.SimpleElementVisitor9<R,P>
javax.lang.model.util.SimpleElementVisitor14<R,P>

Type Parameters:
  `R` - the return type of this visitor's methods. Use `Void` for visitors that do not need to return results.
  `P` - the type of the additional parameter to this visitor's methods. Use `Void` for visitors that do not need an additional parameter.

All Implemented Interfaces:
  `ElementVisitor<R,P>`

@SupportedSourceVersion(RELEASE_21) public class SimpleElementVisitor14<R,P> extends SimpleElementVisitor9<R,P>
A simple visitor of program elements with default behavior appropriate for the `RELEASE_14` source version. Visit methods corresponding to `RELEASE_14` and earlier language constructs call `defaultAction`, passing their arguments to `defaultAction`'s corresponding parameters.

API Note:
  Methods in this class may be overridden subject to their general contract.
Since:
  16
See Also:
  - Compatibility note for subclasses
  - `SimpleElementVisitor6`
  - `SimpleElementVisitor7`
  - `SimpleElementVisitor8`
  - `SimpleElementVisitor9`

- ## Field Summary

  ### Fields declared in class javax.lang.model.util.SimpleElementVisitor6

  `DEFAULT_VALUE`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `SimpleElementVisitor14()`
  Constructor for concrete subclasses; uses `null` for the default value.
  `protected`
  `SimpleElementVisitor14(R defaultValue)`
  Constructor for concrete subclasses; uses the argument for the default value.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `R`
  `visitRecordComponent(RecordComponentElement e, P p)`
  Visits a record component element.

  ### Methods declared in class javax.lang.model.util.SimpleElementVisitor9

  `visitModule`

  ### Methods declared in class javax.lang.model.util.SimpleElementVisitor7

  `visitVariable`

  ### Methods declared in class javax.lang.model.util.SimpleElementVisitor6

  `defaultAction, visitExecutable, visitPackage, visitType, visitTypeParameter`

  ### Methods declared in class javax.lang.model.util.AbstractElementVisitor6

  `visit, visit, visitUnknown`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SimpleElementVisitor14

    protected SimpleElementVisitor14()
    Constructor for concrete subclasses; uses `null` for the default value.

  - ### SimpleElementVisitor14

    protected SimpleElementVisitor14(R defaultValue)
    Constructor for concrete subclasses; uses the argument for the default value.
    Parameters:
      `defaultValue` - the value to assign to `SimpleElementVisitor6.DEFAULT_VALUE`

- ## Method Details

  - ### visitRecordComponent

    public R visitRecordComponent(RecordComponentElement e, P p)
    Visits a record component element.
    Specified by:
      `visitRecordComponent` in interface `ElementVisitor<R,P>`
    Overrides:
      `visitRecordComponent` in class `AbstractElementVisitor6<R,P>`
    Implementation Requirements:
      Visits a `RecordComponentElement` by calling `defaultAction`.
    Parameters:
      `e` - the element to visit
      `p` - a visitor-specified parameter
    Returns:
      a visitor-specified result